Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryEditorConfig

    java.lang.Object
      |
      +--jpos.config.simple.editor.JposEntryEditorConfig

All Implemented Interfaces:
  java.io.Serializable

class JposEntryEditorConfig
extends java.lang.Object
implements java.io.Serializable

This class contains all the JposEntryEditor configuration. It is serializable in order to persist its object for latter retrieval. It is also a Singleton class since only one configuration exist at a time.

Since:
  1.3 (Tokyo 2000 meeting)
Version:
  1.2 (NYC 2K meeting)
Author:
  Kriselie del Mar Rivera, E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`static int` | `CATEGORYVIEW`
`static int` | `DEFAULT_CONFIGURATIONFRAME_HEIGHT`
`static java.awt.Point` | `DEFAULT_CONFIGURATIONFRAME_LOCATION`
`static java.awt.Dimension` | `DEFAULT_CONFIGURATIONFRAME_SIZE`
`static int` | `DEFAULT_CONFIGURATIONFRAME_WIDTH`
`static int` | `DEFAULT_CONFIGURATIONFRAME_X_LOCATION`
`static int` | `DEFAULT_CONFIGURATIONFRAME_Y_LOCATION`
`static java.lang.String` | `DEFAULT_FILE_DIALOG_PATH`
`static int` | `DEFAULT_MAINFRAME_HEIGHT`
`static int` | `DEFAULT_MAINFRAME_HSPLIT_DIVIDER_LOCATION`
`static java.awt.Point` | `DEFAULT_MAINFRAME_LOCATION`
`static java.awt.Dimension` | `DEFAULT_MAINFRAME_SIZE`
`static int` | `DEFAULT_MAINFRAME_VSPLIT_DIVIDER_LOCATION`
`static int` | `DEFAULT_MAINFRAME_WIDTH`
`static int` | `DEFAULT_MAINFRAME_X_LOCATION`
`static int` | `DEFAULT_MAINFRAME_Y_LOCATION`
`static int` | `DEFAULT_MERGER_DIALOG_HEIGHT`
`static java.awt.Point` | `DEFAULT_MERGER_DIALOG_LOCATION`
`static java.awt.Dimension` | `DEFAULT_MERGER_DIALOG_SIZE`
`static int` | `DEFAULT_MERGER_DIALOG_WIDTH`
`static int` | `DEFAULT_MERGER_DIALOG_X_LOCATION`
`static int` | `DEFAULT_MERGER_DIALOG_Y_LOCATION`
`static java.lang.String` | `ERRORSAVINGFILE_STRING`
`static double` | `HEIGHT`
`static int` | `HEIGHT_INT`
`static int` | `JAVALNF`
`static java.lang.String` | `JPOSENTRYEDITOR_STRING`
`static java.lang.String` | `JPOSENTRYEDITORCONFIG_FILE_NAME`
`static int` | `MANUFACTURERVIEW`
`static int` | `MIN_SUPPORTED_HEIGHT`
`static int` | `MIN_SUPPORTED_WIDTH`
`static int` | `NATIVELNF`
`static java.awt.Dimension` | `SCREENSIZE`
`static int` | `SORTEDVIEW`
`static double` | `WIDTH`
`static int` | `WIDTH_INT`

Constructor Summary
`(package private)` | `JposEntryEditorConfig()`

Method Summary
`boolean` | `getAutoDeleteEntryOnCopy()`
`boolean` | `getAutoLoadCheckBox()`
`int` | `getCurrentLookAndFeel()`
`int` | `getCurrentTreeView()`
`boolean` | `getExpandTreeCheckBox()`
`java.lang.String` | `getFileDialogPath()`
`static JposEntryEditorConfig` | `getInstance()`
`java.awt.Point` | `getJposEntryMergerDialogLocation()`
`java.awt.Dimension` | `getJposEntryMergerDialogSize()`
`int` | `getMainFrameHDividerLocation()`
`java.awt.Point` | `getMainFrameLocation()`
`java.awt.Dimension` | `getMainFrameSize()`
`int` | `getMainFrameVDividerLocation()`
`boolean` | `getShowNumbersAsHexCheckBox()`
`boolean` | `isSaved()`
`boolean` | `isShowJCL12PropView()`
`void` | `reset()` This methods sets all configuration properties to their default values
`void` | `save()` This method serializes the single JposEntryEditor instance into a file named by the constant JPOSENTRYEDITORCONFIG_FILE_NAME.
`void` | `setAutoDeleteEntryOnCopy(boolean b)` Setter method for the autoDeleteEntryOnExit config
`void` | `setAutoLoadCheckBox(boolean b)` Setter method for the autoLoad check box
`void` | `setCurrentLookAndFeel(int i)` Setter method for the currentLookAndFeel
`void` | `setCurrentTreeView(int i)` Setter method for the currentTreeView
`void` | `setExpandTreeCheckBox(boolean b)` Setter method for the expandTree check box
`void` | `setFileDialogPath(java.lang.String path)` Sets the all file dialog path
`void` | `setJposEntryMergerDialogLocation(java.awt.Point p)` Sets the jposEntryMergerDialogLocation instance variable
`void` | `setJposEntryMergerDialogSize(java.awt.Dimension d)` Sets the jposEntryMergerDialogLocation instance variable
`void` | `setMainFrameHDividerLocation(int i)` Setter method for the mainFrameHDividerLocation (Horizontal split pane)
`void` | `setMainFrameLocation(java.awt.Point p)` Setter method for the logFileViewerFrameSize
`void` | `setMainFrameSize(java.awt.Dimension d)` Setter method for the mainFrameSize
`void` | `setMainFrameVDividerLocation(int i)` Setter method for the mainFrameVDividerLocation (Vertical split pane)
`void` | `setShowJCL12PropView(boolean b)` Set if editor should display tab for JCL 1.2 view
`void` | `setShowNumbersAsHexCheckBox(boolean b)` Setter method for the showNubersAsHex check box

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCREENSIZE

    public static final java.awt.Dimension SCREENSIZE

### WIDTH_INT

    public static final int WIDTH_INT

### HEIGHT_INT

    public static final int HEIGHT_INT

### WIDTH

    public static final double WIDTH

### HEIGHT

    public static final double HEIGHT

### DEFAULT_MAINFRAME_HSPLIT_DIVIDER_LOCATION

    public static final int DEFAULT_MAINFRAME_HSPLIT_DIVIDER_LOCATION

### DEFAULT_MAINFRAME_VSPLIT_DIVIDER_LOCATION

    public static final int DEFAULT_MAINFRAME_VSPLIT_DIVIDER_LOCATION

### MIN_SUPPORTED_WIDTH

    public static final int MIN_SUPPORTED_WIDTH

### MIN_SUPPORTED_HEIGHT

    public static final int MIN_SUPPORTED_HEIGHT

### DEFAULT_MAINFRAME_WIDTH

    public static final int DEFAULT_MAINFRAME_WIDTH

### DEFAULT_MAINFRAME_HEIGHT

    public static final int DEFAULT_MAINFRAME_HEIGHT

### DEFAULT_MAINFRAME_SIZE

    public static final java.awt.Dimension DEFAULT_MAINFRAME_SIZE

### DEFAULT_MAINFRAME_X_LOCATION

    public static final int DEFAULT_MAINFRAME_X_LOCATION

### DEFAULT_MAINFRAME_Y_LOCATION

    public static final int DEFAULT_MAINFRAME_Y_LOCATION

### DEFAULT_MAINFRAME_LOCATION

    public static final java.awt.Point DEFAULT_MAINFRAME_LOCATION

### DEFAULT_CONFIGURATIONFRAME_WIDTH

    public static final int DEFAULT_CONFIGURATIONFRAME_WIDTH

### DEFAULT_CONFIGURATIONFRAME_HEIGHT

    public static final int DEFAULT_CONFIGURATIONFRAME_HEIGHT

### DEFAULT_CONFIGURATIONFRAME_SIZE

    public static final java.awt.Dimension DEFAULT_CONFIGURATIONFRAME_SIZE

### DEFAULT_CONFIGURATIONFRAME_X_LOCATION

    public static final int DEFAULT_CONFIGURATIONFRAME_X_LOCATION

### DEFAULT_CONFIGURATIONFRAME_Y_LOCATION

    public static final int DEFAULT_CONFIGURATIONFRAME_Y_LOCATION

### DEFAULT_CONFIGURATIONFRAME_LOCATION

    public static final java.awt.Point DEFAULT_CONFIGURATIONFRAME_LOCATION

### DEFAULT_MERGER_DIALOG_WIDTH

    public static final int DEFAULT_MERGER_DIALOG_WIDTH

### DEFAULT_MERGER_DIALOG_HEIGHT

    public static final int DEFAULT_MERGER_DIALOG_HEIGHT

### DEFAULT_MERGER_DIALOG_SIZE

    public static final java.awt.Dimension DEFAULT_MERGER_DIALOG_SIZE

### DEFAULT_MERGER_DIALOG_X_LOCATION

    public static final int DEFAULT_MERGER_DIALOG_X_LOCATION

### DEFAULT_MERGER_DIALOG_Y_LOCATION

    public static final int DEFAULT_MERGER_DIALOG_Y_LOCATION

### DEFAULT_MERGER_DIALOG_LOCATION

    public static final java.awt.Point DEFAULT_MERGER_DIALOG_LOCATION

### JPOSENTRYEDITORCONFIG_FILE_NAME

    public static final java.lang.String JPOSENTRYEDITORCONFIG_FILE_NAME

### DEFAULT_FILE_DIALOG_PATH

    public static final java.lang.String DEFAULT_FILE_DIALOG_PATH

### SORTEDVIEW

    public static final int SORTEDVIEW

### CATEGORYVIEW

    public static final int CATEGORYVIEW

### MANUFACTURERVIEW

    public static final int MANUFACTURERVIEW

### JAVALNF

    public static final int JAVALNF

### NATIVELNF

    public static final int NATIVELNF

### JPOSENTRYEDITOR_STRING

    public static final java.lang.String JPOSENTRYEDITOR_STRING

### ERRORSAVINGFILE_STRING

    public static final java.lang.String ERRORSAVINGFILE_STRING

Constructor Detail

### JposEntryEditorConfig

    JposEntryEditorConfig()

Method Detail

### getInstance

    public static JposEntryEditorConfig getInstance()

  Returns:
    the single instance of Singleton class JposEntryEditorConfig This class method is synchronized requiring exclusive lock to class to access instance

### isSaved

    public boolean isSaved()

  Returns:
    true if this config was recently saved

### save

    public void save()

  This method serializes the single JposEntryEditor instance into a file named by the constant JPOSENTRYEDITORCONFIG_FILE_NAME. Any previous content of file is lost.

### reset

    public void reset()

  This methods sets all configuration properties to their default values

### getMainFrameLocation

    public java.awt.Point getMainFrameLocation()

  Returns:
    the mainFrameLocation instance variable

### getMainFrameSize

    public java.awt.Dimension getMainFrameSize()

  Returns:
    the mainFrameSize instance variable

### getJposEntryMergerDialogLocation

    public java.awt.Point getJposEntryMergerDialogLocation()

  Returns:
    the jposEntryMergerDialogLocation instance variable

### getJposEntryMergerDialogSize

    public java.awt.Dimension getJposEntryMergerDialogSize()

  Returns:
    the jposEntryMergerDialogLocation instance variable

### getMainFrameHDividerLocation

    public int getMainFrameHDividerLocation()

  Returns:
    the mainFrameHDividerLocation (Horiontal split pane)

### getMainFrameVDividerLocation

    public int getMainFrameVDividerLocation()

  Returns:
    the mainFrameVDividerLocation (Vertical slpit pane)

### getCurrentLookAndFeel

    public int getCurrentLookAndFeel()

  Returns:
    the currentLookAndFeel

### getCurrentTreeView

    public int getCurrentTreeView()

  Returns:
    the currentTreeView

### getExpandTreeCheckBox

    public boolean getExpandTreeCheckBox()

  Returns:
    the expandTreeCheckBox flag

### getShowNumbersAsHexCheckBox

    public boolean getShowNumbersAsHexCheckBox()

  Returns:
    the showNumbersAsHexCheckBox flag

### getAutoLoadCheckBox

    public boolean getAutoLoadCheckBox()

  Returns:
    the autoLoadCheckBox flag

### getAutoDeleteEntryOnCopy

    public boolean getAutoDeleteEntryOnCopy()

  Returns:
    the autoDeleteEntryOnCopy flag
  Since:
    2.0.0

### isShowJCL12PropView

    public boolean isShowJCL12PropView()

  Returns:
    true if editor should display tab for JCL 1.2 view

### getFileDialogPath

    public java.lang.String getFileDialogPath()

  Returns:
    the path that all file dialog will used

### setMainFrameLocation

    public void setMainFrameLocation(java.awt.Point p)

  Setter method for the logFileViewerFrameSize
  Parameters:
    `p` - the Point parameter

### setMainFrameSize

    public void setMainFrameSize(java.awt.Dimension d)

  Setter method for the mainFrameSize
  Parameters:
    `d` - the Dimension parameter

### setJposEntryMergerDialogLocation

    public void setJposEntryMergerDialogLocation(java.awt.Point p)

  Sets the jposEntryMergerDialogLocation instance variable
  Parameters:
    `p` - the Point
  Since:
    1.3 (SF 2K meeting)

### setJposEntryMergerDialogSize

    public void setJposEntryMergerDialogSize(java.awt.Dimension d)

  Sets the jposEntryMergerDialogLocation instance variable
  Parameters:
    `d` - the Dimension
  Since:
    1.3 (SF 2K meeting)

### setMainFrameHDividerLocation

    public void setMainFrameHDividerLocation(int i)

  Setter method for the mainFrameHDividerLocation (Horizontal split pane)
  Parameters:
    `i` - the int parameter

### setMainFrameVDividerLocation

    public void setMainFrameVDividerLocation(int i)

  Setter method for the mainFrameVDividerLocation (Vertical split pane)
  Parameters:
    `i` - the int parameter

### setCurrentLookAndFeel

    public void setCurrentLookAndFeel(int i)

  Setter method for the currentLookAndFeel
  Parameters:
    `i` - the int parameter

### setCurrentTreeView

    public void setCurrentTreeView(int i)

  Setter method for the currentTreeView
  Parameters:
    `i` - the int parameter

### setExpandTreeCheckBox

    public void setExpandTreeCheckBox(boolean b)

  Setter method for the expandTree check box
  Parameters:
    `b` - the boolean parameter

### setShowNumbersAsHexCheckBox

    public void setShowNumbersAsHexCheckBox(boolean b)

  Setter method for the showNubersAsHex check box
  Parameters:
    `b` - the boolean parameter

### setAutoLoadCheckBox

    public void setAutoLoadCheckBox(boolean b)

  Setter method for the autoLoad check box
  Parameters:
    `b` - the boolean parameter

### setAutoDeleteEntryOnCopy

    public void setAutoDeleteEntryOnCopy(boolean b)

  Setter method for the autoDeleteEntryOnExit config
  Parameters:
    `b` - the boolean parameter
  Since:
    2.0.0

### setShowJCL12PropView

    public void setShowJCL12PropView(boolean b)

  Set if editor should display tab for JCL 1.2 view
  Parameters:
    `b` - the boolean parameter

### setFileDialogPath

    public void setFileDialogPath(java.lang.String path)

  Sets the all file dialog path
  Parameters:
    `path` - the File whose path will be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details